Up: gzip [Contents][Index]

#### 8.1.1.1 Using lbzip2 with GNU `tar`.

`Lbzip2` is a multithreaded utility for handling ‘`bzip2`’ compression, written by Laszlo Ersek. It makes use of multiple processors to speed up its operation and in general works considerably faster than `bzip2`. For a detailed description of `lbzip2` see http://freshmeat.net/projects/lbzip2 and lbzip2: parallel bzip2 utility.

Recent versions of `lbzip2` are mostly command line compatible with `bzip2`, which makes it possible to automatically invoke it via the `--bzip2` GNU `tar` command line option. To do so, GNU `tar` must be configured with the `--with-bzip2` command line option, like this:

    $ ./configure --with-bzip2=lbzip2 [other-options]

Once configured and compiled this way, `tar --help` will show the following:

    $ tar --help | grep -- --bzip2
      -j, --bzip2                filter the archive through lbzip2

which means that running `tar --bzip2` will invoke `lbzip2`.